Description

IT would be great to be able and connect the Original ATARI XL keyboard to EclairXL board,

such option has been done before (here is some info)

http://atariage.com/forums/topic/181298-atari-keyboard-to-usb/

http://blog.pixelpracht.net/?p=710

Nir

History

#1 - 06/02/2017 07:11 AM - foft

You've also seen I had an XEGS keyboard connector on the old board?

http://www.64kib.com/eclairexl.html

We have some GPIO pins, once I have some stable cores I'll start assigning them. For now I'm using them for debugging signals.

e.g. we could have the pokey keyboard lines.

#2 - 06/02/2017 08:39 AM - ndary

yes i did.. but i was hoping for a real XL keyboard.. not the mushy XE ones :)

#3 - 06/02/2017 09:54 AM - foft

I mean I have the pokey signals and can break them out. To use an XL one we'd need a board with a suitable socket and some 4051s. I think its

pretty easy to make and I can support via the pokey signals on GPIO. I'd rather not use so many GPIOs for this though so perhaps we can come up

with a design that uses only one or two - perhaps there is an i2c to parallel converter we can use to talk to the keyboard...

#4 - 09/29/2018 02:58 PM - foft

One from back in the day...

https://www.youtube.com/watch?v=GB3ywcwsoiM

On pokeymax I'm using an i2c to parallel converter for keyboard.

https://www.youtube.com/watch?v=1qKhNJal3V8

#5 - 11/09/2019 09:58 AM - foft

- Assignee changed from sadosp to foft

Panos kindly sent me the boards he designed. I put together the bom on mouser and digikey. will order some parts and try to build later this year.

There might also be another secret project (shhhhh)
